import { AsyncStorage } from 'react-native';

export default {
  async getItem(key) {
    const item = await AsyncStorage.getItem(key);
    if (item) {
      return JSON.parse(item);
    } else {
      return null;
    }
  },
  async setItem(key, value) {
    const item = JSON.stringify(value);
    return await AsyncStorage.setItem(key, item);
  },
  async delItem(key) {
    return AsyncStorage.removeItem(key);
  },
}